Subject: bug#63967: 28.2; switch-to-buffer in normal window fails if minibuffer window is active

From: Stefan Monnier <[email-masked]>
Date: Fri, 09 Jun 2023 11:08:43 -0400

> Seems like read-buffer-to-switch (called by "C-x b") changes the
> selected-window: when it returns, the rest of the function runs with
> the minibuffer window being the selected-window, which is wrong in
> this case.

Are you 100% sure that's what happens?  AFAICT `read-buffer-to-switch`
uses the minibuffer in the normal way so when we exit the minibuffer the
selected window should definitely not still be the mini-window.
And if it happens with `read-buffer-to-switch` I can't see any reason
why it wouldn't happen for most/all other uses of the minibuffer.

        Stefan